# Get

get ` https://app.mk.io/api/v1/projects/:project_name/media/liveEvents/:event_name/liveOutputs/:output_name`

Returns a single Live Output.

RBAC Capability Required: `ams.liveeventoutput.get`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

| Name          | Type    | Required | Description                                   |
|---------------|---------|----------|-----------------------------------------------|
| project_name  | string  | Required | The name of the project                       |
| event_name    | string  | Required | The name of the event                         |
| output_name   | string  | Required | The name of the output                        |

## Response

**200** Single Live Output

| Field                 | Type     | Required | Description                                   |
|-----------------------|----------|----------|-----------------------------------------------|
| name                  | string   | Optional | 1-256 characters, pattern: ^[a-zA-Z0-9]+(-*[a-zA-Z0-9])*$ The name of the resource |
| properties            | object   | Required | The properties of the live output.           |

### Show 11 properties

| Field                    | Type     | Required | Description                                                     |
|--------------------------|----------|----------|-----------------------------------------------------------------|
| archiveWindowLength      | string   | Required | ISO 8601 timespan duration of the archive window length.       |
| assetName                | string   | Required | 1-260 characters. The name of the asset that the live output will write to. |
| created                  | string   | Optional | The exact time the live output was created.                    |
| description              | string   | Optional | 0-4096 characters. The description of the live output.        |
| hls                      | object   | Optional | The HLS configuration.                                         |
| fragmentsPerTsSegment    | integer  | Optional | 1 to 100000000. Defaults to 1. The number of fragments per HLS segment. |
| lastModified             | string   | Optional | The exact time the live output was last modified.             |
| manifestName             | string   | Optional | 1-64 characters, pattern: ^[a-zA-Z0-9-]+[a-zA-Z0-9]$ The name of the manifest file. |
| outputSnapTime           | integer  | Optional | Defaults to 0. Not supported. The output snapshot time.        |
| provisioningState        | string   | Optional | The provisioning state of the live output.                     |
| resourceState           | enum     | Optional | The resource state of the live output. Allowed values: Creating, Deleting, Running.
| rewindWindowLength       | string   | Optional | Not supported. ISO 8601 timespan duration of the rewind window length. |

## Errors

| Status Code  | Description                   |
|--------------|-------------------------------|
| 400          | Bad Request                   |
| 401          | Unauthorized                  |
| 403          | Forbidden                     |
| 404          | Not Found                     |
| 429          | Too Many Requests             |
| 500          | Internal Server Error         |

### Error Details

**400 Bad Request**
- **error**: [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required
  - **code**: string Required
  - **detail**: string Required
  - **extraDetail**: map from strings to any Optional
  - **ref**: string Required
  - **status**: integer Required

**401 Unauthorized**
- **error**: [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required
  - **code**: string Required
  - **detail**: string Required
  - **extraDetail**: map from strings to any Optional
  - **ref**: string Required
  - **status**: integer Required

**403 Forbidden**
- **error**: [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required
  - **code**: string Required
  - **detail**: string Required
  - **extraDetail**: map from strings to any Optional
  - **ref**: string Required
  - **status**: integer Required

**404 Not Found**
- **error**: [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required
  - **code**: string Required
  - **detail**: string Required
  - **extraDetail**: map from strings to any Optional
  - **ref**: string Required
  - **status**: integer Required

**429 Too Many Requests**
- **error**: [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required
  - **code**: string Required
  - **detail**: string Required
  - **extraDetail**: map from strings to any Optional
  - **ref**: string Required
  - **status**: integer Required

**500 Internal Server Error**
- **error**: [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required
  - **code**: string Required
  - **detail**: string Required
  - **extraDetail**: map from strings to any Optional
  - **ref**: string Required
  - **status**: integer Required.
